RDKit::MolStandardize::CleanupParameters Struct Reference

The CleanupParameters structure defines the default parameters for the. More...

`#include <MolStandardize.h>`

## Public Member Functions

| CleanupParameters ()

## Public Attributes

std::string | rdbase = rdbase_cstr != nullptr ? rdbase_cstr : ""
std::string | normalizations
std::string | acidbaseFile
std::string | fragmentFile
std::string | tautomerTransforms
int | maxRestarts
int | maxTautomers
bool | preferOrganic
bool | doCanonical

## Detailed Description

The CleanupParameters structure defines the default parameters for the.

Notes:

- To customize the parameters, the stucture must be initialized first. (Another on the TODO list)
  - For this project, not all the parameters have been revealed. (TODO)

Definition at line 40 of file MolStandardize.h.

## Constructor & Destructor Documentation

## CleanupParameters()

RDKit::MolStandardize::CleanupParameters::CleanupParameters | ( |  | ) |

inline

Definition at line 62 of file MolStandardize.h.

## Member Data Documentation

## acidbaseFile

std::string RDKit::MolStandardize::CleanupParameters::acidbaseFile

Definition at line 48 of file MolStandardize.h.

## doCanonical

bool RDKit::MolStandardize::CleanupParameters::doCanonical

Definition at line 59 of file MolStandardize.h.

## fragmentFile

std::string RDKit::MolStandardize::CleanupParameters::fragmentFile

Definition at line 49 of file MolStandardize.h.

## maxRestarts

int RDKit::MolStandardize::CleanupParameters::maxRestarts

Definition at line 53 of file MolStandardize.h.

## maxTautomers

int RDKit::MolStandardize::CleanupParameters::maxTautomers

Definition at line 55 of file MolStandardize.h.

## normalizations

std::string RDKit::MolStandardize::CleanupParameters::normalizations

Definition at line 47 of file MolStandardize.h.

## preferOrganic

bool RDKit::MolStandardize::CleanupParameters::preferOrganic

Definition at line 57 of file MolStandardize.h.

## rdbase

std::string RDKit::MolStandardize::CleanupParameters::rdbase = rdbase_cstr != nullptr ? rdbase_cstr : ""

Definition at line 46 of file MolStandardize.h.

## tautomerTransforms

std::string RDKit::MolStandardize::CleanupParameters::tautomerTransforms

Definition at line 51 of file MolStandardize.h.

The documentation for this struct was generated from the following file:

- MolStandardize.h